Bug 132257 - LTC-8859: softdog.o need to be included into RHEL distributions
LTC-8859: softdog.o need to be included into RHEL distributions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Glauber
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 09:01 EDT by Ingolf Salm
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ingolf Salm 2004-09-10 09:01:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
softdog.o is required for "dead man switch" functionality. This 
allows for the following: unless the application "contacts" the 
module periodically, the kernel reboots. This is used in our High-
Availability software to ensure that critical software components of 
the system are not blocked for long periods. If they do get blocked 
then the OS needs to crash.
System Automation can not support RHEL without softdog. As of 
bugzilla LTC-8859 it was requested for RHEL 3 U3. We verified U3, but 
softdog is not included. This problem need to be fixed with RHEL 3 U4 
latest. Problem is also applicable for RHEL 4.
I opened an LDP requirement too (LDP req. 91042).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use softdog functionality
2.
3.
    

Additional info:
Comment 1 Ernie Petrides 2004-09-10 15:49:28 EDT
This is a feature request, not a bug report.
Comment 2 Bob Johnson 2004-09-12 19:59:32 EDT
Ingolf,

You know the process here - this goes thru Issue tracker, not buzilla.
We did this for PPC for U2, why now for mainframe ?  
Comment 3 Ingolf Salm 2004-09-13 04:07:03 EDT
Sorry, Bob. I wasn't sure, if this is a feature request, because 
there is an open LTC bugzilla. Our System Automation product requires 
that support. Without it, RHEL 3 can not be supported. Tivoli System 
Automation for Linux is one of the key Linux system management 
products for complex applications/middleware.

Should I open an issue tracker ? 
Comment 4 Bob Johnson 2004-10-06 11:46:36 EDT
Yes this should be a feature request, LDP and IT.
Comment 6 Ernie Petrides 2005-04-08 15:42:11 EDT
The s390,x software watchdog support was committed to the RHEL3 U5
patch pool on 18-Feb-2005 (in kernel version 2.4.21-27.16.EL).
Comment 7 Ernie Petrides 2005-04-15 21:21:23 EDT
The s390,x software watchdog config changes have just been committed to    
the RHEL3 U5 patch pool this evening (in kernel version 2.4.21-32.EL).
Comment 8 Tim Powers 2005-05-18 09:28:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.